
/*= Generic Styles
-------------------------------------------------------------- */
/* Button: Disabled */
.woocommerce #respond input#submit.disabled, 
.woocommerce #respond input#submit:disabled, 
.woocommerce #respond input#submit[disabled]:disabled, 
.woocommerce a.button.disabled, .woocommerce a.button:disabled, 
.woocommerce a.button[disabled]:disabled, 
.woocommerce button.button.disabled, 
.woocommerce button.button:disabled, 
.woocommerce button.button[disabled]:disabled, 
.woocommerce input.button.disabled, 
.woocommerce input.button:disabled, 
.woocommerce input.button[disabled]:disabled {
	padding:inherit;
	padding-left:18px;
	padding-right:18px;
}

/* Sale Badge */
.woocommerce span.onsale {
	width:50px;
	height:50px;
	padding:0;
	line-height:50px;
	font-size:16px;
	background:#cc0000;
	text-transform:uppercase;
}

/* Breadcrumbs */
.woocommerce .woocommerce-breadcrumb {
	margin-bottom:1rem;
}

/* Added to Cart Action (View Cart) */
.woocommerce a.added_to_cart {
	margin-left:5px;
	padding:0;
	line-height:34px;
}


/*= Products List
-------------------------------------------------------------- */
.woocommerce .products-container {
	clear:both;
}

	.woocommerce #sidebar {
		float:left;
		width:25%;
		padding:0 0.9375rem;
	}

	.woocommerce ul.products,
	.woocommerce-page ul.products {
		float:left;
		clear:none;
		width:75%;
	}

		.woocommerce ul.products li.product,
		.woocommerce-page ul.products li.product {
			width:25%;
			margin:0 0 30px 0;
			padding:0 0.9375rem;
		}

			.woocommerce ul.products li.product a img {
				margin-bottom:0.5rem;
			}

			.woocommerce ul.products li.product h3 {
				margin-bottom:3px;
				padding:0;
				font-size:20px;
				font-weight:600;
			}

			.woocommerce ul.products li.product .price {
				color:#397531;
				font-size:20px;
			}
				.woocommerce ul.products li.product .price ins {
					color:#cc0000;
					text-decoration:none;
				}

			.woocommerce ul.products li.product .button {
				margin:0;
			}


/*= Single Product
-------------------------------------------------------------- */
/* Layout */
.woocommerce #content div.product div.images, 
.woocommerce div.product div.images, 
.woocommerce-page #content div.product div.images, 
.woocommerce-page div.product div.images {
	width:40%;
}

.woocommerce #content div.product div.summary,
.woocommerce div.product div.summary, 
.woocommerce-page #content div.product div.summary, 
.woocommerce-page div.product div.summary {
	width:calc(60% - 30px);
}

/* Sale Badge */
.woocommerce.single-product span.onsale {
	top:-10px;
	left:-10px;
	width:65px;
	height:65px;
	line-height:65px;
	font-size:18px;
}

/* Price */
.woocommerce div.product p.price, 
.woocommerce div.product span.price {
	font-size:28px;
	color:#397531;
}
.woocommerce div.product p.price ins, 
.woocommerce div.product span.price ins {
	color:#cc0000;
	text-decoration:none;
}

/* Variations */
.variations td { background:#e9e9e9 !important; }
.variations tr:nth-child(2n+1) td { background:#f9f9f9 !important; }

	.variations .label {
		display:table-cell;
		padding-left:1rem !important;
		border-radius:0;
		background:inherit;
	}

		.variations .label label {
			line-height:34px;
		}

	.variations select {
		margin:0;
	}

	.variations .reset_variations[style*="visibility: hidden"] {
		display:none !important;
	}

/* Tabs */
.wc-tabs {
	border-bottom:0;
}

	.wc-tabs li a,
	.wc-tabs li a:hover,
	.wc-tabs li a:active {
		background:transparent;
		border:none;
	}


/*= Cart
-------------------------------------------------------------- */
.woocommerce td.product-name dl.variation dd, 
.woocommerce td.product-name dl.variation dt {
	margin:0;
}


/*= Checkout
-------------------------------------------------------------- */
.checkout #ship-to-different-address {
	position:relative;
}
	
	.checkout #ship-to-different-address label {
		padding-left:20px;
	}

	.checkout #ship-to-different-address input {
		position:absolute;
		top:5px;
		left:0;
	}


/*= Widgets
-------------------------------------------------------------- */
/* Overrides for generic styles that get messed up by WooCommerce and woocommerce-specific widgets */
/* generic */
.woocommerce .widget ul ul {
	margin:6px 0 0 0;
	padding-left:1rem;
}

/* Widget: Filter By */
.woocommerce .widget_layered_nav ul li.chosen a:before {
	margin-right:5px;
}

/* Widget: Active Filters */
.woocommerce .widget_layered_nav_filters ul li {
	padding:3px 5px;
	margin:0 5px 5px 0;
	background:#e5e5e5;
	border-radius:3px;
}

	.woocommerce .widget_layered_nav_filters ul li a::before {
		margin-right:5px;
	}

/* Widget: Average Rating */
.woocommerce .widget_rating_filter .star-rating {
	margin:0;
}


/*= Media Queries
-------------------------------------------------------------- */
@media only screen and (max-width:768px) {

	/* Products List */
	.woocommerce #sidebar {
		width:100%;
	}

	.woocommerce ul.products,
	.woocommerce-page ul.products {
		width:100%;
	}

		.woocommerce ul.products li.product,
		.woocommerce-page ul.products li.product {
			width:50%;
		}

}

@media only screen and (max-width:640px) {

	.woocommerce ul.products li.product,
	.woocommerce-page ul.products li.product {
		width:100%;
	}

}